@set TEMP1=debug\dv32
@if "%1."=="." goto doi
@if "%1."=="0." goto do0
@if "%1."=="1." goto do1
@if "%1."=="2." goto do2
@if "%1."=="3." goto do3
@if "%1."=="4." goto do4
@if "%1."=="5." goto do5
@if "%1."=="6." goto do6
@if "%1."=="7." goto do7
@if "%1."=="8." goto do8
@if "%1."=="9." goto do9
@if "%1."=="10." goto do10
@if "%1."=="11." goto do11
@if "%1."=="12." goto do12
@echo	ERROR: Invalid command ...
@goto end

:doi
%TEMP1% @dv32.i
@goto end

:do0
set TEMP2=f:\gtools32\bglview2\temp0000.bmp
@goto doit
:do1
set TEMP2=f:\gtools32\bglview2\temp0001.bmp
@goto doit
:do2
set TEMP2=f:\gtools32\bglview2\temp0002.bmp
@goto doit
:do3
set TEMP2=f:\gtools32\bglview2\temp0003.bmp
@goto doit
:do4
set TEMP2=f:\gtools32\bglview2\temp0004.bmp
@goto doit
:do5
set TEMP2=f:\gtools32\bglview2\temp0005.bmp
@goto doit
:do6
set TEMP2=f:\gtools32\bglview2\temp0006.bmp
@goto doit
:do7
set TEMP2=f:\gtools32\bglview2\temp0007.bmp
@goto doit
:do8
set TEMP2=f:\gtools32\bglview2\temp0008.bmp
@goto doit
:do9
set TEMP2=f:\gtools32\bglview2\temp0009.bmp
@goto doit
:do10
set TEMP2=f:\gtools32\bglview2\temp0010.bmp
@goto doit
:do11
set TEMP2=f:\gtools32\bglview2\temp0011.bmp
@goto doit
:do12
set TEMP2=f:\gtools32\bglview2\temp0012.bmp
@goto doit

:doit
@if NOT EXIST %TEMP2% goto err2
%TEMP1% %TEMP2%
@goto end

:err2
@echo	ERROR: File [%TEMP2%} does NOT exist ...
@goto end

:end
